> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a project snapshot

> Retrieve one bounded project snapshot.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/projects/{projectId}/snapshots/{snapshotId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}/snapshots/{snapshotId}:
    get:
      tags:
        - Projects
      summary: Retrieve a project snapshot
      description: Retrieve one bounded project snapshot.
      operationId: retrieveProjectSnapshot
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
        - in: path
          name: snapshotId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      responses:
        '200':
          description: Retrieve a project snapshot
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  id:
                    type: string
                    minLength: 1
                    maxLength: 255
                  isActive:
                    type: boolean
                  name:
                    type:
                      - string
                      - 'null'
                  pinnedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  buildDurationMs:
                    type:
                      - number
                      - 'null'
                    minimum: 0
                  builtAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  cpu:
                    type:
                      - integer
                      - 'null'
                    exclusiveMinimum: 0
                  hasSetupScript:
                    type:
                      - boolean
                      - 'null'
                  includesDeps:
                    type:
                      - boolean
                      - 'null'
                  includesRepos:
                    type:
                      - boolean
                      - 'null'
                  includesSkills:
                    type:
                      - boolean
                      - 'null'
                  isKvm:
                    type:
                      - boolean
                      - 'null'
                  memoryMb:
                    type:
                      - integer
                      - 'null'
                    exclusiveMinimum: 0
                  projectId:
                    type: string
                    minLength: 1
                    maxLength: 255
                  rebuildOfSnapshotId:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                  repositoryIds:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                      minLength: 1
                      maxLength: 255
                  setupScript:
                    type:
                      - string
                      - 'null'
                    maxLength: 20000
                  size:
                    type:
                      - string
                      - 'null'
                    enum:
                      - nano
                      - micro
                      - small
                      - medium
                      - large
                      - xl
                      - xxl
                      - ultra
                      - null
                  sizeBytes:
                    type:
                      - string
                      - 'null'
                    pattern: ^\d+$
                  trigger:
                    type:
                      - string
                      - 'null'
                    enum:
                      - manual
                      - scheduled
                      - rebuild
                      - manager_reconcile
                      - admin
                      - null
                required:
                  - createdAt
                  - id
                  - isActive
                  - name
                  - pinnedAt
                  - updatedAt
                  - buildDurationMs
                  - builtAt
                  - cpu
                  - hasSetupScript
                  - includesDeps
                  - includesRepos
                  - includesSkills
                  - isKvm
                  - memoryMb
                  - projectId
                  - rebuildOfSnapshotId
                  - repositoryIds
                  - setupScript
                  - size
                  - sizeBytes
                  - trigger
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````